Subject: Re: bug#44833: 27.1; Org org-docview-open (wrong-number-of-arguments (2 . 2) 1)

From: Kyle Meyer <[email-masked]>
Date: Sat, 18 Dec 2021 17:23:15 -0500

close 44833
quit

Kyle Meyer writes:

> I'm sorry you didn't get a response at the time, but it seems unlikely
> that you still have this issue because, as of Org's afd3b04ec (ol:
> Extend open tooling in link parameters, 2020-02-19), org-link-open
> handles the above error:
>
>     ;; Function defined in `:follow' parameter may use a single
>     ;; argument, as it was mandatory before Org 9.4.  This is
>     ;; deprecated, but support it for now.
>     (condition-case nil
>         (funcall (org-link-get-parameter type :follow) path arg)
>       (wrong-number-of-arguments
>        (funcall (org-link-get-parameter type :follow) path)))
>
> And that change made its way into the Emacs repo with f22856a5c54
> (Update to Org 9.4.1, 2020-12-13), which was a part of the 27.2 release.
>
> Can you confirm that the issue is resolved for you?

It's been close to two weeks, so I'll close this, but, if you are still
having this issue, please let us know.